<template>
  <div class="container">
    <h2>
      Jobs List
    </h2>
    <template v-if="loading">
      LOADING
    </template>
    <template v-else>
      <job-item
        v-for="job in jobs"
        :key="job.shortcode"
        :title="job.full_title"
        :department="job.department"
        :id="job.shortcode"
      />
    </template>
  </div>
</template>

<script>
import { getJobs } from '~/api/jobs';
import JobItem  from '~/components/JobItem';

export default {
  name: 'JobsList',
  components: {
    JobItem,
  },
  data () {
    return {
      loading: true,
      jobs: [],
      selectedId: null,
    };
  },
  created () {
    getJobs()
      .then((jobs) => {
        this.loading = false;
        this.jobs = jobs;
      });
  },
}
</script>

<style>
.container {
  margin: 0 auto;
  min-height: 100vh;
}

.title {
  font-family:
    'Quicksand',
    'Source Sans Pro',
    -apple-system,
    BlinkMacSystemFont,
    'Segoe UI',
    Roboto,
    'Helvetica Neue',
    Arial,
    sans-serif;
  display: block;
  font-weight: 300;
  font-size: 100px;
  color: #35495e;
  letter-spacing: 1px;
}

.subtitle {
  font-weight: 300;
  font-size: 42px;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}

.links {
  padding-top: 15px;
}
</style>
